Skip to content

Reset Password

POST
/api/v1/auth/web/reset-password

Reset the user’s password using the reset token.

object
token
required

The password reset token from email.

string
abc123def456...
email
required

The user’s email address.

string
password
required

The new password. Must be at least 8 characters.

string
newsecretpassword
password_confirmation
required

Password confirmation. Must match password.

string
newsecretpassword
object
message
string
Password has been reset successfully.
{
"message": "Password has been reset successfully."
}

Invalid token

object
message
string
The given data was invalid.
errors
object
email
Array<string>
[
"This password reset token is invalid."
]
{
"message": "The given data was invalid.",
"errors": {
"email": [
"This password reset token is invalid."
]
}
}